These are chat archives for bayespy/bayespy

1st
Sep 2017
Shashank Kumar
@Shsharma93
Sep 01 2017 01:47
this is the error i am getting when i typed nosetests bayespy

"/Users/shashank/miniconda3/lib/python3.6/site-packages/nose/plugins/manager.py:395: RuntimeWarning: Unable to load plugin warnaserror = bayespy.testing:WarnAsError: Python is not installed as a framework. The Mac OS X backend will not be able to function correctly if Python is not installed as a framework. See the Python documentation for more information on installing Python as a framework on Mac OS X. Please either reinstall Python as a framework, or try one of the other backends. If you are using (Ana)Conda please install python.app and replace the use of 'python' with 'pythonw'. See 'Working with Matplotlib on OSX' in the Matplotlib FAQ for more information.
RuntimeWarning)

E

ERROR: Failure: RuntimeError (Python is not installed as a framework. The Mac OS X backend will not be able to function correctly if Python is not installed as a framework. See the Python documentation for more information on installing Python as a framework on Mac OS X. Please either reinstall Python as a framework, or try one of the other backends. If you are using (Ana)Conda please install python.app and replace the use of 'python' with 'pythonw'. See 'Working with Matplotlib on OSX' in the Matplotlib FAQ for more information.)

Traceback (most recent call last):
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/nose/failure.py", line 39, in runTest
raise self.exc_val.with_traceback(self.tb)
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/nose/loader.py", line 407, in loadTestsFromName
module = resolve_name(addr.module)
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/nose/util.py", line 312, in resolve_name
module = import('.'.join(parts_copy))
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/bayespy/init.py", line 8, in <module>
from . import inference
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/bayespy/inference/init.py", line 34, in <module>
from .vmp.vmp import VB
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/bayespy/inference/vmp/vmp.py", line 9, in <module>
import matplotlib.pyplot as plt
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/matplotlib/pyplot.py", line 115, in <module>
_backend_mod, new_figure_manager, draw_if_interactive, _show = pylab_setup()
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/matplotlib/backends/init.py", line 32, in pylab_setup
globals(),locals(),[backend_name],0)
File "/Users/shashank/miniconda3/lib/python3.6/site-packages/matplotlib/backends/backend_macosx.py", line 19, in <module>
from matplotlib.backends import _macosx
RuntimeError: Python is not installed as a framework. The Mac OS X backend will not be able to function correctly if Python is not installed as a framework. See the Python documentation for more information on installing Python as a framework on Mac OS X. Please either reinstall Python as a framework, or try one of the other backends. If you are using (Ana)Conda please install python.app and replace the use of 'python' with 'pythonw'. See 'Working with Matplotlib on OSX' in the Matplotlib FAQ for more information.


Ran 1 test in 0.001s

FAILED (errors=1)